Skip to content
Start here

Delete saved string queries by ID

brand_protection.queries.delete(QueryDeleteParams**kwargs)
DELETE/accounts/{account_id}/brand-protection/queries

Return a success message after deleting saved string queries by ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
account_id: str
minLength1
id: Optional[str]
scan: Optional[bool]
tag: Optional[str]

Delete saved string queries by ID

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.brand_protection.queries.delete(
    account_id="x",
)
Returns Examples